data:extend(
	{
		----------------------------------------------------------------------------------
		{
			type = "item-subgroup",
			name = "dynamites",
			group = "production",
			order = "b",
		},
	}
)

local n_order = 0

function add_dynamite( ore, pic_undefined )
	if data.raw["resource"][ore] == nil and ore ~= "wipe" then return( false ) end
		
	local dyna_name = "dynamite-" .. ore
	
	local dyna_ingredients
	if ore == "crude-oil" then
		dyna_ingredients = {{"explosives",4},{"sulfur",4*dynamite_ore_investment}}
	elseif ore == "Nature-Gas" then
		dyna_ingredients = {{"explosives",4},{"sulfur",4*dynamite_ore_investment}}
	elseif ore == "monazite-ore" then
		dyna_ingredients = {{"explosives",1},{"monazite-ore-base",dynamite_ore_investment}}
	elseif ore == "gem-ore" then
		dyna_ingredients = {{"explosives",1},{"ruby-ore",2},{"sapphire-ore",2},{"emerald-ore",2},{"amethyst-ore",2},{"topaz-ore",2},{"diamond-ore",2}}
	elseif ore == "wipe" then
		dyna_ingredients = {{"explosives",1},{"sulfur",1}}
	else
		dyna_ingredients = {{"explosives",1},{ore,dynamite_ore_investment}}
	end
	
	if pic_undefined then
		dyna_icon = "__MiningTools__/graphics/dynamite-undefined.png"
	else
		dyna_icon = "__MiningTools__/graphics/" .. dyna_name .. ".png"
	end
	
	data:extend(
		{
			----------------------------------------------------------------------------------
			{
				type = "item",
				name = dyna_name,
				icon = dyna_icon,
				flags = {"goes-to-quickbar"},
				subgroup = "dynamites",
				order = "d-" .. string.char( string.byte("a") + n_order ),
				place_result = dyna_name,
				stack_size = 100
			},
			----------------------------------------------------------------------------------
			{
				type = "container",
				name = dyna_name,
				icon = dyna_icon,
				flags = {"placeable-neutral", "player-creation"},
				minable = {mining_time = 1, result = dyna_name},
				max_health = 100,
				corpse = "big-remnants",
				dying_explosion = "big-explosion",
				resistances ={{type = "fire",percent = 80}},
				collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
				--collision_mask = {"object-layer"},
				selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
				inventory_size = 1,
				picture =
				{
					filename = dyna_icon,
					priority = "extra-high",
					width = 32,
					height = 32,
					shift = {0.0, 0.0}
				}
			},
			----------------------------------------------------------------------------------
			{
				type = "recipe",
				name = dyna_name,
				ingredients = dyna_ingredients,
				result = dyna_name,
				result_count = 1,
				enabled = "false"
			},
		}
	)
	table.insert( data.raw["technology"]["advanced-mining"].effects,
		{
			type = "unlock-recipe",
			recipe = dyna_name
		}
	)
	n_order = n_order + 1
	
	return( true )
end

-- mod base
add_dynamite( "coal", false )
add_dynamite( "stone", false )
add_dynamite( "iron-ore", false )
add_dynamite( "copper-ore", false )
add_dynamite( "crude-oil", false )

-- mod dark matter
add_dynamite( "tenemut", false )	

-- mod nucular
add_dynamite( "uranium-ore", false )	

-- mod thorium
add_dynamite( "monazite-ore", false )	

-- mod bobores + 5dim
add_dynamite( "bauxite-ore", false )	
add_dynamite( "cobalt-ore", false )	
add_dynamite( "gem-ore", false )	
add_dynamite( "gold-ore", false )	
add_dynamite( "lead-ore", false )	
add_dynamite( "nickel-ore", false )	
add_dynamite( "quartz", false )	
add_dynamite( "rutile-ore", false )	
add_dynamite( "silver-ore", false )	
add_dynamite( "tin-ore", false )	
add_dynamite( "tungsten-ore", false )	
-- add_dynamite( "uranium-ore", false )	-- already in nucular
add_dynamite( "zinc-ore", false )	

-- mod crafted artifacts
add_dynamite( "rare-earth", false )	

-- mod reactor
add_dynamite( "nuclear-ores", false )	
add_dynamite( "Nature-Gas", false )	

-- wipe
add_dynamite( "wipe", false )
